Viewing Issue Advanced Details Jump to Notes ] a2600.cpp
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05718 Graphics Minor Always Oct 11, 2014, 13:51 Sep 26, 2015, 19:38
Tester demotester View Status Public Platform MESS (Official Binary)
Assigned To Resolution Fixed OS Windows XP
Status [?] Resolved   Driver a2600.cpp
Version 0.154 Fixed in Version 0.166 Build Normal
Summary MESS-specific 05718: a2600p: The demo "TOM/JONES by trilobit" is not working properly.
Description Unfortunately, almost 90% of the demo does not work properly in MESS a2600p system! :(

http://www.pouet.net/prod.php?which=31535


Note: On pouet is said that PAL Atari 2600 is recommended.
Steps To Reproduce Compare with yt-video: (On pouet it is said: "Recorded from a real Atari 2600.")



Additional Information AFAIK, the only emu that runs it properly is Stella.
Flags
Regression Version 0.147u3
Affected Sets / Systems a2600p
Attached Files
 

- Relationships
related to 05714Resolved a2600p: The demo "(core) by wamma" is not working properly. 

-  Notes
User avatar
No.11039
Tafoid
(Administrator)
Oct 11, 2014, 22:10
edited on: Oct 11, 2014, 22:13
Again, regression in Timing/IRQ related to newer m6502 core (r18875). No need to report any more a2600 (TIA) related graphic issue - this and 05714 is more than enough to go one, I believe. I tested these too and another one called "triptych_preview" also from triolbit - all have issues after the new core. Any MESS binary before 0.147u3 will play them very accurately.

User avatar
No.11060
R. Belmont
(Developer)
Oct 14, 2014, 15:01
Yeah, I remember MESS playing this correctly when it first came out.
User avatar
No.11066
demotester
(Tester)
Oct 14, 2014, 19:59
Yeah, now testing the demo in an older unofficial messui 0143u3b a2600p system ... it seems to work w/o problem. :-)
User avatar
No.12047
Tafoid
(Administrator)
Sep 26, 2015, 19:38
https://github.com/mamedev/mame/commit/80b274e7ed97be04821cb6658a154ea11203b8ff
a2600: new 6502 PC=cur inst, old 6502 PC=prev inst (MT 5345) [Mike Saarna, Trebor, R. Belmont]